javax.lang.model.type

## Interface ArrayType

- All Superinterfaces:
    ReferenceType, TypeMirror

      public interface ArrayType
      extends ReferenceType

  Represents an array type. A multidimensional array type is represented as an array type whose component type is also an array type.
  Since:
    1.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeMirror` | `getComponentType()` Returns the component type of this array type.

    - ### Methods inherited from interface javax.lang.model.type.TypeMirror

      `accept, equals, getKind, hashCode, toString`

- - ### Method Detail

    - #### getComponentType

          TypeMirror getComponentType()

      Returns the component type of this array type.
      Returns:
        the component type of this array type

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.